php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #2658 error while compiling PHP as apache module
Submitted: 1999-11-03 11:55 UTC Modified: 2002-06-16 14:18 UTC
From: Ramil dot Israfilov at ksu dot ru Assigned:
Status: Not a bug Package: Compile Failure
PHP Version: 3.0.12 OS: AIX 4.2.1
Private report: No CVE-ID: None
 [1999-11-03 11:55 UTC] Ramil dot Israfilov at ksu dot ru
Hello All!
I'm trying to install PHP 3.0.12 as Apache module with Russian Apache 1.3.9 PL28.20 and gcc 2.8.1
PHP compiled fine with such options:
/configure --with-apache=../apache_1.3.9rusPL28.20 --with-mod_charset=yes --with-gd=no --with-oracle=/oracle/app/oracle/product/8.0.4 --with-mysql --with-msql=/var/db/Hughes --with-system-regex=yes --enable-debug=no

Then I'm trying to configure apache with such options:
./configure --activate-module=src/modules/php3/libphp3.a 

As described in FAQ I'm change the 2140 line in src/Configure to:
if ./helpers/TestCompile -v sanity; then

and receive such message
gcc  -DAIX=42 -U__STR__ -DAIX_BIND_PROCESSOR -DRUSSIAN_APACHE -DUSE_EXPAT -I./lib/expat-lite `./apaci` -lm helpers/dummy.c -o helpers/dummy  -Wl,-rpath,/oracle/app/oracle/product/8.0.4/lib -Wl,-rpath,/usr/local/lib/mysql -Wl,-rpath,/var/db/Hughes/lib -L/oracle/app/oracle/product/8.0.4/lib -L/usr/local/lib/mysql -lmysqlclient -L/var/db/Hughes/lib -lmsql -Lmodules/php3 -L../modules/php3 -L../../modules/php3 -lmodphp3   -lclntsh -lpsa -lcore4 -lnlsrtl3 -lclntsh /lib/crt0_r.o -lc_r -lpthreads -lodm -lm -nostdlib /lib/crt0_r.o /usr/lib/libpthreads.a /usr/lib/libc_r.a -lgcc                     -lm -ldl -lnsl
collect2: ld returned 1 exit status
/tmp/ccFm6Mqa1.o(.pr+0x6a):dummy.c: relocation truncated to fit: 0x03 LC..0
make: *** [dummy] Error 1

 + doing sanity check on compiler and options
** A test compilation with your Makefile configuration
** failed. This is most likely because your C compiler
** is not ANSI. Apache requires an ANSI C Compiler, such
** as gcc. The above error message from your compiler
** will also provide a clue.
 Aborting!

Any comments and suggestions for this bug

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-06-16 14:18 UTC] sander@php.net
Thank you for taking the time to report a problem with PHP.
Unfortunately, PHP 3 is no longer supported. Please download
the latest version of PHP 4 from http://www.php.net/downloads.php

If you are able to reproduce the bug with one of the latest
versions of PHP, please change the PHP version on this bug report
to the version you tested and change the status back to "Open".
Again, thank you for your continued support of PHP.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Jan 20 15:01:25 2020 UTC